﻿@model BoE.WebSite.Areas.Admin.Models.BanCharacterModel
@{
    ViewBag.Title = "BanCharacter";
}

<h2>Ban a character</h2>

@using (Html.BeginForm())
{ 
    @Html.ValidationSummary(true)
    @Html.HiddenFor(m => m.CharacterId)
    <fieldset>
        <legend>Grant hoster right</legend>
        <p> 
            Ban <b>@ViewBag.CharacterName</b>.
        </p>
        <div>
            <div><label>Reason: </label></div>
            <div>@Html.TextAreaFor(r => r.Reason)</div>
        </div>
        <div>
            <label>Number of days (0 for a permanent ban): </label>
            <div>@Html.TextBoxFor(r => r.Days, new { type="number" })</div>
        </div>
        <div>
            <input type="submit" value="Ban He !" onclick="return confirm('Are you sure ?')" />
        </div>
    </fieldset>
}

<p>
    @Html.ActionLink("Go back", "Characters")
</p>